LFR-FSW - Bug #170

Mauvais parametrage avec TC_LOAD_NORMAL_PAR
16/06/2014 12:56 PM - Veronique bouzid

Status: Closed Start date: 16/06/2014
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description

10:17:55.429341, TC_LFR_LOAD_NORMAL_PAR, CCSDS_VERSION_NUMBER = 0, PACKET _TYPE: TC_PACKET = 1,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET _CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0x1ccc), SEGMENTATION_GROUPING_FLAG:
STANDALONE_PACKET = 3, SEQUENCE_CNT=9451, (PACKET _SEQUENCE_CONTROL=0xedeb), PACKET LENGTH=15,
CCSDS_SECONDARY_ HEADER_FLAG=0, PUS_VERSION = 1, ACK_EXECUTION_COMPLETION=1,
ACK_EXECUTION_PROGRESS=0, ACK_EXECUTION_START=0, ACK_ACCEPTANCE=1, SERVICE_TYPE:
EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: LOAD_NORMAL_PARAMETERS 1 = 13, SOURCE_ID: MISSION_TIMELINE
=110, SY_LFR_N_SWF L =2048, SY LFR_N_SWP_P = 16(s), SY_ LFR_N_ASM P = 4(s), SY_ LFR_N_BP_PO0 = 1(s),
SY_LFR_N_BP_P1 = 1(s), SPARE=0x0, SY_LFR_N_CWF_LONG_F3 = 0, SPARE=0x0, CRC = 0xbc31

10:17:55.444943, TM_LFR_TC_EXE_INCONSISTENT, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET = 0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID 2 = 76, PACKET CATEGORY: ACKNOWLEDGE
=1, (PACKET_ID=0xcc1), SEGMENTATION_GROUPING FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=11,

(PACKET _SEQUENCE_CONTROL=0xc00b), PACKET LENGTH=19, SPARE_1=0, PUS_VERSION = 1, SPARE_2-=0,
SERVICE_TYPE: TELECOMMAND_VERIFICATION = 1, SERVICE_SUBTYPE: TC_EXECUTION_COMPLETION_FAILURE = 8,
DESTINATION_ID: MISSION_TIMELINE = 110, TIME=0x800000ba9ede, PA_ RPW_TC_FAILURE_CODE: WRONG_APP_DATA =
5, PA_RPW_TELECOMMAND_PKT _ID=0x1ccc, PA_RPW_PKT_SEQ_CONTROL=Oxe4eb, PA_ RPW_TC_SERVICE=181,
PA_RPW_TC_SUBTYPE=13, PA_RPW_BYTE_POSITION=16, PA_RPW_RCV_VALUE=1

--> C'est | octet 16 de la TC_LFR_LOAD_NORMAL_PAR qui est erroné soit SY_LFR_N_BP_PO.

Je peux mettre SY_LFR_N_ASM_P = 4(s) car meme si la valeur par défaut est 3600 s, cela a un sens de demander 4s
par contre, il faut que je mette

SY_LFR_N_BP_P0=4s et egalement SY_LFR_N_BP_P1

Paul a amelioré les tests de coherence sur les cdes LOAD_*_PAR.
--> il faut mettre les regles ici

Contexte

LPPMON: Version=0.2.2 Branch=default Changeset=835955994d5f

Carte mini-LFR: LFR-172200 dev V1.0; No série Il (sans connecteurs sub-click)
Vhdl: mini-lfr_0.1.9

Brique Star-Dundee S/N <illisible>.

Soft:1.0.0.9b

TEST CASE = SVS-0019
Req = SSS-CP-FS-590

RPW-SYS-IDB-00067-LES_Issue2_Rev2
RPW-SYS-MEB-LFR-ICD-00097 Issue2_Rev2
RPW-SYS-SSS-00013-LES + Annex_Release_Definition Issue2_rev2

Related issues:
Related to Feature #481: Cohérence/Intégrité sur TC_LFR_LOAD_NORMAL_PAR Closed 10/08/2015

History
- Status changed from New to Closed

voir Feature #481 qui décrit les tests effectués sur les paramétres
